--- ./08-fake_install.00	2008-01-02 13:25:41.000000000 +0100
+++ ./08-fake_install	2008-01-09 16:46:20.000000000 +0100
@@ -17,12 +17,12 @@
 	# But if we are running QUIET it will be reset just after critical install install operations
 	if [[ $SHELL_INSTALL ]] ; then
 		if ! [[ $INSTALL_LINE ]] ; then 
-		INSTALL_LINE="sh install.sh"
+			INSTALL_LINE="sh install.sh"
 			if [[ -e $OBJ_DIR/install.sh ]] ; then
-			echo $BLUE"Found install.sh script - "$NORMAL"Interactive input may be required."
-			sleep 2
+			 echo $BLUE"Found install.sh script - "$NORMAL"Interactive input may be required."
+			 sleep 2
 			else
-			echo $CYAN"NOTICE! "$NORMAL"No install.sh script found!"
+			 echo $CYAN"NOTICE! "$NORMAL"No install.sh script found!"
 			fi
 		fi
 		[[ "$QUIET" = "YES" ]] && RESTORE_QUIET=1
@@ -48,19 +48,20 @@
 		exit
 	fi
 	
-	if [[ $(grep  install: $MAKEFILE) ]] ; then
-		if [ "$INSTALL_TYPE" = "DESTDIR" ] ; then
-			# make sure the Makefile supports DESTDIR or revert to JAIL method
-			if [[ "$(grep 'DESTDIR' ${OBJ_DIR}/${MAKEFILE} 2> /dev/null)" = "" ]] ; then
-			echo $CYAN"NOTICE -  "$NORMAL"DESTDIR not supported. Falling back to JAIL install"
-			INSTALL_TYPE=JAIL
+	if [[ $MAKEFILE ]] ; then
+		if [[ $(grep  install: $MAKEFILE) ]] ; then
+			if [ "$INSTALL_TYPE" = "DESTDIR" ] ; then
+				# make sure the Makefile supports DESTDIR or revert to JAIL method
+				if [[ "$(grep 'DESTDIR' ${OBJ_DIR}/${MAKEFILE} 2> /dev/null)" = "" ]] ; then
+				 echo $CYAN"NOTICE -  "$NORMAL"DESTDIR not supported. Falling back to JAIL install"
+				 INSTALL_TYPE=JAIL
+				fi
 			fi
+		else
+		  INSTALL_TYPE="DEFAULT"
 		fi
-	else
-		INSTALL_TYPE="DEFAULT"
 	fi
 	
-	
 	if [ "$INSTALL_TYPE" = "DEFAULT" ] ; then
 		echo $CYAN"NOTICE! "$NORMAL"No install rule in $MAKEFILE."
 		do_generic_installation
